using System;
using System.Linq;
using System.Collections.Generic;


class Program
{
    public static int[] Pretraga(int[] niz, int trazeno)
    {
        int donje = 0;
        int gornje = niz.Length - 1;
        int mid = 0;
        int[] vracanje = new int[2];
        vracanje[0] = mid;
        vracanje[1] = niz.Length;
        while (donje <= gornje)
        {
            mid = (donje + gornje) / 2;
            if (trazeno == niz[mid])
            {
                vracanje[0] = mid;
                break;
            }
            else if (trazeno < niz[mid])
            {
                gornje = mid - 1;
                if (donje > gornje)
                {
                    vracanje[0] = mid;
                    vracanje[1]++;
                }
                    
            }
            else
            {
                donje = mid + 1;
                if (donje > gornje)
                {
                    mid++;
                    vracanje[0] = mid;
                    vracanje[1]++;
                }
                    
                
            }
        }
        return vracanje;
    }
    static void Main()
    
    {
        var linija1 = Console.ReadLine().Split(" ");
        var linija2 = Console.ReadLine().Split(" ");
        var linija3 = Console.ReadLine().Split(" ");
        
        int N = int.Parse(linija1[0]);
        int Q = int.Parse(linija1[1]);
        int[] A = new int[N];
        //int[] B = new int[Q];
        int[] Resenja = new int[Q];
        for (int i = 0; i < N; A[i] = int.Parse(linija2[i]), i++);
        Array.Sort(A);
        for (int i = 0; i < Q; i++)
        {
            int trazeno = int.Parse(linija3[i]);
            int duzina = N;
            int medijana = (duzina / 2) + 1;
            int[] rezultat = Pretraga(A, trazeno);
            int index = rezultat[0] + 1;
            int brojac = 0;
            if (rezultat[1] > duzina) { brojac++; duzina = rezultat[1]; }
            if(index == medijana)
            {
                Resenja[i] = brojac;
            }
            else if (index > medijana)
            {
                while(medijana != index)
                {
                    duzina++;
                    medijana = (duzina / 2) + 1; 
                    brojac++;
                }
                Resenja[i] = brojac;
            }
            else
            {
                while (medijana != index)
                {
                    duzina++;
                    medijana = (duzina / 2) + 1;
                    index++;
                    brojac++;
                }
                Resenja[i] = brojac;
            }
        }
        foreach(int x in Resenja)
        {
            Console.WriteLine(x);
        }

    }
}